package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicRoadShowStage {

    public static final String ALL = "全部";
    public static final String CONCEPTUAL= "概念阶段";
    public static final String DEVELOPMENT ="研发阶段";
    public static final String PUBLISH= "已发布";
    public static final String PROFIT= "已盈利";

    private static DicRoadShowStage instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicRoadShowStage(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(ALL, ALL);
        dicMap.put(CONCEPTUAL, CONCEPTUAL);
        dicMap.put(DEVELOPMENT, DEVELOPMENT);
        dicMap.put(PUBLISH, PUBLISH);
        dicMap.put(PROFIT, PROFIT);
    }

    public static DicRoadShowStage getInstacne(){
        if (instance == null)
        {
            instance = new DicRoadShowStage();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
